package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ShopAgreement;


/**
*  service接口类
*/
public interface ShopAgreementService{

    List<ShopAgreement> getShopAgreementList(ShopAgreement record);

    List<ShopAgreement> getShopAgreementByPage(Page page, ShopAgreement record);

    ShopAgreement getShopAgreementById(String id);

    ShopAgreement getShopAgreement(ShopAgreement record);

    boolean createShopAgreement(ShopAgreement record);

    boolean deleteShopAgreement(String id);

    boolean updateShopAgreement(ShopAgreement record);
}

